## org.hibernate.envers
Annotation Type RevisionEntity

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface RevisionEntity

Marks an entity to be created whenever a new revision is generated. The revisions entity must have an integer-valued unique property (preferrably the primary id) annotated with `RevisionNumber` and a long-valued property annotated with `RevisionTimestamp`. The `DefaultRevisionEntity` already has those two fields, so you may extend it, but you may also write your own revision entity from scratch.

Author:
  Adam Warski (adam at warski dot org)

Optional Element Summary
`Class<? extends RevisionListener>` `value`

### value

    public abstract Class<? extends RevisionListener> value

  Default:
    org.hibernate.envers.RevisionListener.class

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.